Home
Home
  1. Mandates
  • Welcome
    • About Ontime
    • Overview
    • Test and Learn Projects
  • Authentication
  • Idempotency
  • Availability Check
    • Light Availability Check
      POST
    • Full Availability Check
      POST
  • Payment Management
    • Mandates
      • Create a new mandate
        POST
      • Revoke a Mandate
        DELETE
      • Get a Mandate
        GET
      • Search mandates with filtering and pagination
        GET
    • Payment Requests
      • Instruct a new payment request
      • Cancel an existing payment request
      • Get a Payment
      • Search payment requests with filtering and pagination
    • Schedules
      • Instruct a new schedule
      • Cancel an existing schedule
      • Get a schedule
      • Get many schedules
  • Payouts
    • Get a Payout
      GET
    • Get Available Payouts
      GET
  • Webhooks
    • Mandate Created/Updated
    • Payment Request Created/Updated
    • Payout Created
  • Schemas
    • Schemas
      • PaymentManagement
        • MandateDeleteResponse
        • GetMandatesPagedResponse
        • MandateStatus
        • PaymentDeleteResponse
        • GetPaymentsPagedResponse
      • Payout
      • Deprecated
        • Invitation
        • Consumer
        • PaymentMethod
        • ProductPaymentStatus
        • ProductStatus
        • PaymentRequestData
      • Webhook
        • Webhook
        • WebhookPaymentRequestPayload
        • WebhookMandatePayload
        • WebhookPayoutPayload
      • Core
      • Availability
    • AvailabilityStatus
    • ProblemDetails
    • Metadata
    • ScheduleCancelResponse
    • InstalmentRequest
    • ScheduleResponse
    • ScheduleStatus
    • PagingResponse
    • InstalmentResponse
    • ConsumerData
    • LightAvailabilityCheckRequest
    • LightAvailabilityCheckResponse
    • PayoutPaymentRequestItem
    • PayoutResponse
    • ListPayoutsResponse
    • ScheduleCreateRequest
    • AuthorisationSource
    • PaymentStatus
    • FullAvailabilityCheckRequest
    • MandateRecordResponse
    • MandateLimitations
    • MandateRecordRequest
    • PaymentCreateRequest
    • ExpectedPayment
    • PaymentCancelResponse
    • FullAvailabilityCheckResponse
    • PaymentResponse
    • SearchMandatesResponse
    • SearchMandatesResults
    • MandateWrapper
    • MandateDto
    • SearchPagingInfo
    • SearchPaymentsResponse
    • SearchPaymentsResults
    • PaymentRecordWrapper
    • SearchPaymentRecord
    • SearchPaymentsPagingResponse
    • SearchSchedulesResponse
  1. Mandates

Revoke a Mandate

Developing
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
DELETE
https://mock.apidog.com/m1/828215-0-default
/mandates/{mandate_id}
OperationId:revoke_mandate_by_id
Provides a means to revoke an active or pending mandate. Revoking a mandate that is already revoked returns it unchanged. Any cancellable payment requests linked to the mandate will be cancelled. Remaining payment requests will continue.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Conflict
🟠401Record Not Found
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://mock.apidog.com/m1/828215-0-default/mandates/' \
--header 'x-api-key: <api-key>' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Success Example
{
    "mandate_record": {
        "start_date": "2026-09-10",
        "end_date": "2027-09-10",
        "authorisation_source": "Web",
        "status": "Revoked",
        "limitations": {
            "currency": "GBP",
            "maximum_payment_amount": 63415,
            "percentage_of_payment_amount_accepted": 100
        },
        "id": "cb6f2d8a-dcd0-4201-a8b9-ec8184418045",
        "initiator_data": {
            "consumer_data": {
                "given_name": "Kelsie",
                "family_name": "Murazik",
                "payment_reference": "esse eiusmod commodo",
                "national_registration_number": "QQ999999A",
                "email_address": "kelsie.murazik@example.org",
                "phone_number": null
            }
        },
        "metadata": null
    }
}
Previous
Create a new mandate
Next
Get a Mandate